#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    string c;
    int a1,a2;

    cin >> c;
    cin >> a1;
    cin >> a2;

    if(abs(a1-a2)>1 | c[0]==c[1]|)
    {
        cout << "nemoguce" << endl;
        
        return 0;
    }
    if(a2>a1)
    {
        swap(c[0],c[1]);
    }

    for(int i=0; i<(a1+a2)/2; i++)
    {
        cout << c;
    }

    if((a1+a2)/2!=0)
    {
        cout << c[0]
    }

    return 0;
}